import { MDXRemoteSerializeResult } from 'next-mdx-remote'

export type Post = {
    id: string
    slug: string
    content: MDXRemoteSerializeResult
    title: string
    date: string
    excerpt: string
    coverImage: string
    readingTime: string
    tweets: any[]
}

export type Snippet = {
    id: string
    slug: string
    content: MDXRemoteSerializeResult
    title: string
    description: string
    logo: string
}

export enum Form {
    Initial,
    Loading,
    Success,
    Error,
}

export type FormState = {
    state: Form
    message?: string
}

export type Subscribers = {
    count: number
}

export type Views = {
    total: number
}

export type YouTube = {
    subscriberCount: number
    viewCount: number
}

export type GitHub = {
    stars: number
}
